## hdf-eos5 2.0

=== debian/changelog ===
hdf-eos5 (2:2.0-5) unstable; urgency=medium

  * Team Upload
  * Add debian/gbp.conf
  * Add debian/salsa-ci.yml
  * Wrap-and-sort -ast
  * Remove obsolete dh-buildinfo build dep
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 17:25:08 +0200

hdf-eos5 (2:2.0-4) unstable; urgency=medium

  * Set Debian Science Maint. as maintainer
  * Standards-Version: 4.7.0; no changes required
  * Move from pkgconfig -> pkgconf

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Jul 2024 12:12:36 +0100

hdf-eos5 (2:2.0-3) unstable; urgency=medium

  * Redo patch for t64 transition that was accidentally dropped.
    Closes: #1063118, #1068698

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Apr 2024 10:53:23 +0100

hdf-eos5 (2:2.0-2) unstable; urgency=medium

  * implicit-decl.patch: Fix FTBFS from implicit fn decl. Closes: #1066412
  * Standards-Version: 4.6.2
  * Typo in VCS definitions in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Mar 2024 17:52:15 +0000

hdf-eos5 (2:2.0-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Mon, 05 Feb 2024 07:27:20 +0000

hdf-eos5 (2:2.0-1) unstable; urgency=medium

  * New upstream release, with epoch change
    - rebase patches
    - mutex.patch now upstream
  * Standards-Version: 4.6.0; on changes required
  * Disable doc HDF-EOS-DEFINITION.txt; missing in this release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Apr 2022 13:47:42 +0100

hdf-eos5 (5.1.16.dfsg.1-4) unstable; urgency=medium

  * Use debhelper level 13
  * mutex.patch: Needed for gcc10, for a unique defintion of
    GLobaalMutex. Closes: #957239
  * Set HDF5_USE_SHLIB=yes in d/rules to link purely dynamically
    (needed for new binutils)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Jul 2020 16:39:27 +0100

hdf-eos5 (5.1.16.dfsg.1-3) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Use https for Homepage:
  * Build-depend on gfortran  | fortran-compiler
  * Drop hard-coded xz compression
  * Add libgctp-dev to Depends on -dev pkg as we use the library
  * Use debhelper-compat (=12)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 May 2020 18:07:46 +0100

hdf-eos5 (5.1.16.dfsg.1-2) unstable; urgency=medium

  * Set VCS to point to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 31 May 2018 16:26:52 +0100

hdf-eos5 (5.1.16.dfsg.1-1) unstable; urgency=medium

  * New upstream release
  * szip_fix.patch now included upstream
  * hid_t* patches updated.
  * Standards-Version: 4.1.3; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jan 2018 12:13:37 +0000

hdf-eos5 (5.1.15.dfsg.1-9) unstable; urgency=medium

  * Standards-Version: 4.1.1; no changes required
  * Now at debhelper level 10. Drop unnecessary build-deps on auto*
  * Drop build-depends on transitional libhdf5-serial-dev. Closes: #879140

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Oct 2017 09:08:15 +0100

hdf-eos5 (5.1.15.dfsg.1-8.1) unstable; urgency=medium

  * Non-maintainer upload
  * New patch hid_t.patch: hid_t isn't native int anymore (closes: #846853)

 -- Gilles Filippini <pini@debian.org>  Sat, 03 Dec 2016 01:48:32 +0100

hdf-eos5 (5.1.15.dfsg.1-8) unstable; urgency=medium

  * Patch to build against hdf5-1.10.1: use hid_t not int (hid_t == int64_t
    now).
  * Don't add bash as B-Depend. Its essential.
  * chrpath -d to remove rpaths.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Jun 2016 11:29:55 +0100

hdf-eos5 (5.1.15.dfsg.1-6) experimental; urgency=medium

  * Now build with szip support. Closes: #813160.
  * Delete obsolete links file (replace by multiarch rules in ./rules)
    Closes: #760279.
  * Standards-Version: 3.9.7
  * Updated watch file.
  * Add Vcs-Git to repo in debian-science

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Feb 2016 15:34:04 +0000

hdf-eos5 (5.1.15.dfsg.1-5) experimental; urgency=medium

  * build against hdf5-1.8.15

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Aug 2015 00:57:59 +0100

hdf-eos5 (5.1.15.dfsg.1-4) unstable; urgency=medium

  * Force rebuild against hdf5 libs in unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Aug 2014 09:52:53 +0100

hdf-eos5 (5.1.15.dfsg.1-3) unstable; urgency=low

  [ Gilles Filippini ]
  * Support hdf5 1.8.13 new packaging layout. Closes: #756671.
  * Fix patch libtool_fixes.patch to not drop predefined LDFLAGS.

  [ Alastair McKinstry ]
  * Cleanup of debian/rules, removing unused defintions and includes.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Aug 2014 10:20:37 +0100

hdf-eos5 (5.1.15.dfsg.1-2) unstable; urgency=medium

  * Fix for missing function H5_EHHEisHE5 : misplaced ifdef
  * Link against -lpthread

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Jul 2014 12:59:35 +0100

hdf-eos5 (5.1.15.dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.5
  * Remove (now unnecessary) Pre-Depends for Multi-Arch.
  * Use debhelper 9; DH_COMPAT=9; remove lintian warning.
  * Use 'xz' compression.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Jun 2014 05:12:12 +0100

hdf-eos5 (5.1.14+dfsg.1-1) unstable; urgency=low

  * New upstream release. Rebuild Closes: #680400.
  * Move to Standards-Version: 3.9.3
  * Add version mangling to watch file.
  * Remove Multi-Arch: same from -dev package. Closes: #670002.
  * Remove broken links in -dev package.
  * -lgctp removed by hdl_hl.patch hard-coding LIBS. Add -lgctp back.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Sep 2012 18:50:19 +0100

hdf-eos5 (5.1.13.dfsg.1-3) unstable; urgency=low

  * Ensure libhdfeos5 is linked against hdf5_hl. Closes: #658310.
  * Ditto: Add to pkg-config file.
  * Add lintian-override for debhelper version 9 warning.
  * Add DEP-3 headers to patches.


