## hdf-eos5 5.1.12.dfsg.2

=== debian/control ===
Source: hdf-eos5
Section: libs
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 3.9.2
Homepage: http://www.hdfeos.org
Build-Depends: cdbs, debhelper (>> 7), dh-buildinfo,  gfortran, libhdf5-serial-dev, libjpeg-dev, zlib1g-dev, autotools-dev, libtool, libgctp-dev, chrpath, autoconf, automake

Package: libhe5-hdfeos0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Earth Observation System extensions to HDF5
 HDF-EOS5 is a software library designed built on HDF5 to support EOS-specific
 data structures, namely Grid, Point, and Swath. The new data structures 
 are constructed from standard HDF data objects, using EOS conventions, through
 the use of a software library [1,4]. A key feature of HDF-EOS files is that
 instrument-independent services, such as subsetting by geolocation, can be
 applied to the files across a wide variety of data products. 
 The library is extensible and new data structures can be added.

Package: libhe5-hdfeos-dev
Architecture: any
Section: libdevel
Depends: libhe5-hdfeos0 (= ${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Description:  Development files for the HDF-EOS5 library
 HDF-EOS5 is a software library designed built on HDF5 to support EOS-specific
 data structures, namely Grid, Point, and Swath. The new data structures 
 are constructed from standard HDF data objects, using EOS conventions, through
 the use of a software library. A key feature of HDF-EOS files is that
 instrument-independent services, such as subsetting by geolocation, can be
 applied to the files across a wide variety of data products. 
 .
 This package contains include files and static libraries for HDF-EOS5.
