## hdf-eos5 5.1.13.dfsg.1

=== debian/changelog ===
hdf-eos5 (5.1.13.dfsg.1-3ubuntu1) quantal; urgency=low

  * Turn lots of overlapping strcpy calls into memmove (LP: #935410).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Oct 2012 16:24:46 +0100
