=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: hdf-eos5
 Section: libs
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Standards-Version: 3.9.2
 Homepage: http://www.hdfeos.org
-Build-Depends: cdbs, debhelper (>> 7), dh-buildinfo,  gfortran, libhdf5-serial-dev, libjpeg-dev, zlib1g-dev, autotools-dev, libtool, libgctp-dev, chrpath, autoconf, automake
+Build-Depends: debhelper (>> 8.1.3~), dh-buildinfo, gfortran, libhdf5-serial-dev, libjpeg-dev, zlib1g-dev, autotools-dev, libtool, libgctp-dev, chrpath, autoconf, automake, dh-autoreconf
 
 Package: libhe5-hdfeos0
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Earth Observation System extensions to HDF5
  HDF-EOS5 is a software library designed built on HDF5 to support EOS-specific
@@ -20,6 +23,7 @@
 
 Package: libhe5-hdfeos-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libhe5-hdfeos0 (= ${binary:Version}), ${misc:Depends}
 Recommends: pkg-config
