## hdf-eos5 5.1.14+dfsg.1

=== Makefile ===
--- 
+++ 
@@ -61,8 +61,8 @@
 TK_HOME=/ecs/formal/TOOLKIT
 
 # name of tar files for delivery
-HDFEOS5_SOURCE_TAR=HDF-EOS5.1.13.tar
-HDFEOS5_TESTDRIVERS_TAR=HDF-EOS5.1.13_TESTDRIVERS.tar
+HDFEOS5_SOURCE_TAR=HDF-EOS5.1.14.tar
+HDFEOS5_TESTDRIVERS_TAR=HDF-EOS5.1.14_TESTDRIVERS.tar
 
 # define the default compiler optimization level
 OPT_LVL=-g
