=== debian/changelog ===
hdf-eos5 (5.1.14+dfsg.1-1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Turn lots of overlapping strcpy calls into memmove.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Dec 2012 18:29:46 +0000
