=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.hdfeos.org
 Build-Depends: debhelper (>> 8.1.3~), dh-buildinfo, gfortran, libhdf5-serial-dev, libjpeg-dev, zlib1g-dev, autotools-dev, libtool, libgctp-dev, chrpath, autoconf, automake, dh-autoreconf
 
@@ -23,7 +23,6 @@
 
 Package: libhe5-hdfeos-dev
 Architecture: any
-Multi-Arch: same
 Section: libdevel
 Depends: libhe5-hdfeos0 (= ${binary:Version}), ${misc:Depends}
 Recommends: pkg-config
