=== debian/watch ===
--- 
+++ 
@@ -3,5 +3,6 @@
 
 # This the format for an FTP site:
 # Full-site-with-pattern  [Version  [Action]]
+opts=dversionmangle=s/\+dfsg\.\d+$// \
 ftp://edhs1.gsfc.nasa.gov/edhs/hdfeos5/HDF-EOS5\.(.*)\.tar\.Z \
 	debian uupdate
